Name:             perl-Mail-SPF-Iterator
Summary:          Iterative SPF lookup
Version:          1.11
Release:          3%{?dist}
License:          GPL+ or Artistic
URL:              http://search.cpan.org/dist/Mail-SPF-Iterator/
Source0:          http://www.cpan.org/authors/id/S/SU/SULLR/Mail-SPF-Iterator-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    perl(ExtUtils::MakeMaker)
BuildRequires:    perl(Data::Dumper)
BuildRequires:    perl(Net::DNS) >= 0.62
BuildRequires:    perl(Net::DNS::Resolver)
BuildRequires:    perl(Socket)
BuildRequires:    perl(Socket6)
BuildRequires:    perl(URI)
BuildRequires:    perl(URI::Escape)

Requires:         perl(Net::DNS) >= 0.62
Requires:         perl(URI)
Requires:         perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides an iterative resolving of SPF records. Contrary to
Mail::SPF, which does blocking DNS lookups, this module just returns the
DNS queries and later expects the responses.


%prep
%setup -q -n Mail-SPF-Iterator-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes COPYRIGHT README samples
%{_mandir}/man3/Mail::SPF::Iterator*
%{perl_vendorlib}/Mail


%changelog
* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.11-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 30 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.11-1
- Initial package for Fedora, with help from cpanspec.
